cURL
curl --request PUT \
--url https://api.smartbills.io/v1/businesses/{businessId}/taxes/batch \
--header 'Content-Type: application/json' \
--data '
[
{
"isActive": true,
"country": "<string>",
"localizedDescription": {},
"localizedName": {},
"description": "<string>",
"name": "<string>",
"state": "<string>",
"jurisdiction": "<string>",
"id": 123
}
]
'import requests
url = "https://api.smartbills.io/v1/businesses/{businessId}/taxes/batch"
payload = [
{
"isActive": True,
"country": "<string>",
"localizedDescription": {},
"localizedName": {},
"description": "<string>",
"name": "<string>",
"state": "<string>",
"jurisdiction": "<string>",
"id": 123
}
]
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
isActive: true,
country: '<string>',
localizedDescription: {},
localizedName: {},
description: '<string>',
name: '<string>',
state: '<string>',
jurisdiction: '<string>',
id: 123
}
])
};
fetch('https://api.smartbills.io/v1/businesses/{businessId}/taxes/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"isActive": true,
"country": "<string>",
"description": "<string>",
"name": "<string>",
"percentage": 123,
"state": "<string>",
"inclusive": true,
"taxIdentificationNumber": "<string>",
"businessId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Taxes
Put v1businesses taxesbatch
PUT
/
v1
/
businesses
/
{businessId}
/
taxes
/
batch
cURL
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
GST, HST, JCT, PST, QST, RST, SALES_TAX, VAT, EXEMPT Response
OK
Available options:
GST, HST, JCT, PST, QST, RST, SALES_TAX, VAT, EXEMPT Was this page helpful?
⌘I